## dhcpdump 1.8

=== Makefile ===
CFLAGS=	 -Wall -g
LDFLAGS= -g
LIBS=	-lpcap

all: dhcpdump dhcpdump.8

clean:
	-rm dhcpdump.o dhcpdump dhcpdump.8

dhcpdump.8: dhcpdump.pod Makefile
	pod2man --section 8 \
		--date "23 June 2008" \
		--name "DHCPDUMP" \
		--center "User Contributed Software" \
		dhcpdump.pod dhcpdump.8

dhcpdump: dhcpdump.o
	${CC} ${LDFLAGS} -o $@ dhcpdump.o ${LIBS}

dhcpdump.o: dhcpdump.c dhcp_options.h Makefile
	${CC} ${CFLAGS} -c -o $@ dhcpdump.c

=== debian/changelog ===
dhcpdump (1.8-7) unstable; urgency=medium

  * Revert all non-targeted changes since 1.8-4
  * New maintainer (Closes: #934419)
  * Fix old packaging
    - install copyright
    - hardening flags
    - proper strip
  * Add 2 missing checks to d/p/dhcpdump-bugfix_strcounts.patch

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 18 Mar 2023 21:43:18 +0000

dhcpdump (1.8-6) unstable; urgency=medium

  * QA upload.
  * Upload 1.8-5 fixes to unstable.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 08 Mar 2023 17:43:02 +0100

dhcpdump (1.8-5) experimental; urgency=medium

  [ Boian Bonev ]
  * QA upload.
  * Install binary and man page.
  * Add patches that fix:
    - build options in Makefile (hardening and cross)
    - ethertype handling (Closes: #873635)
    - flags calculation
    - opt82 processing
    - counts in string arrays (OOB access)
    - spelling errors
    - wrong description in man page (Closes: #647228)
  * Do not depend on tcpdump.
  * Bump standards to 4.6.2, no changes.
  * Remove unrelated key and override source not signed.
  * wrap-and-sort

  [ Joao Paulo Lima de Oliveira ]
  * debian/control:
    - Set Rules-Requires-Root:no.
    - Set homepage-field.
    - Bumped Standards-Version to 4.6.1.
    - Set debhelper-compat version in Build-Depends.
    - Added Depends ${shlibs:Depends} in Depends fields.
  * debian/rules:
    - Rewrite to use dh-sequencer.
  * debian/metadata:
    - Added missing upstream metadata.
    - Added upstream's key.
  * debian/watch:
    - Add watch file.

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 23 Feb 2023 08:31:03 +0000

dhcpdump (1.8-4) unstable; urgency=medium

  * QA upload.
  * Drop NMU-Disclaimer because this package is now in QA.
  * d/copyright: Convert to machine-readable format.
  * Convert to 3.0 source format.

 -- Bastian Germann <bage@debian.org>  Mon, 05 Dec 2022 16:08:35 +0100

dhcpdump (1.8-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #934419)
  * debian/rules: Add build-{arch,indep} (Closes: #999183).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:49:23 -0300

dhcpdump (1.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 18 Apr 2017 14:50:01 +0200

dhcpdump (1.8-2.1) experimental; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.

  [ Svante Signell ]
  * Fix to make dhcpdump build on GNU/Hurd (Closes: #622267)
    - modified by mafm@d.o to support kFreeBSD arches

  [ Chris Lamb ]
  * Fix for reproducible builds (Closes: #777309)

  [ Helmut Grohne ]
  * Fix FTCBFS: use the host arch compiler (Closes: #793893)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 13 Apr 2017 17:34:33 +0200

dhcpdump (1.8-2) unstable; urgency=low

  * Bump standards-version
  * Added missing build depends against libpcap (closes: Bug#488816)

 -- Joey Schulze <joey@infodrom.org>  Wed, 02 Jul 2008 13:22:21 +0200

dhcpdump (1.8-1) unstable; urgency=low

  * Incorporate NMU by Amaya Rodrigo Sastre, thanks a lot
  * New upstream version
    . Moved manpage into section 8
  * Fixed typo in NMU-Disclaimer, thanks to Petter Reinholdtsen (See:
    Bug#225895)
  * Added support for the nostrip option (closes: Bug#436762)
  * Added support for debug compilation
  * Forward ported patch by Olivier Chirossel <Olivier.CHIROSSEL@neuf.com>
    to display option 82 (Relay Agent Information) with two sub-options
    (closes: Bug#317440)

 -- Joey Schulze <joey@infodrom.org>  Sat, 28 Jun 2008 13:52:32 +0200

dhcpdump (1.7-1) unstable; urgency=low

  * New upstream version
    - Support for tcpdump 3.8.x

 -- Martin Schulze <joey@infodrom.org>  Mon,  6 Mar 2006 09:07:15 +0100

dhcpdump (1.6-1) unstable; urgency=low

  * New upstream version
  * Applied rewritten patch so that dhcpdump can parse newstyle tcpdump
    output as well (closes: Bug#255556)

 -- Martin Schulze <joey@infodrom.org>  Sun,  7 Nov 2004 15:59:13 +0100

dhcpdump (1.4-2) unstable; urgency=low

  * Added a note about the packages' cvs directory

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  7 Nov 2004 15:14:29 +0100

dhcpdump (1.4-1) unstable; urgency=low

  * Added a disclaimer for those people who plan to NMU this package
  * New upstream version
  * Corrected highlight of references in manpage
  * Added support for auto-configure script
  * Corrected spelling error in manpage

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 12 Feb 2002 09:55:57 +0100

dhcpdump (1.3-2) unstable; urgency=low

  * Whoops, forgot to add the postinst and prerm scripts
  * Added -isp to dpkg-gencontrol

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat,  8 Dec 2001 15:27:02 +0100

dhcpdump (1.3-1) unstable; urgency=low

  * Initial version

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 18 Nov 2001 20:32:34 +0100

=== debian/control ===
Source: dhcpdump
Section: admin
Priority: optional
Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
 libpcap-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: http://www.mavetju.org/download/

Package: dhcpdump
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Parse DHCP packets from interface
 This package provides a tool for visualization of DHCP packets
 on a network interface to analyze DHCP client requests and
 server responses.

=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-99,2001   joey@infodrom.org (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
#
SHELL=/bin/bash

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

# support non-Linux arches, see #622267
EXTRAFLAG = $(shell dpkg-architecture -ilinux-any || echo "-D_BSD_SOURCE")

ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

DCFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get CFLAGS)
DCPPFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get CPPFLAGS)
DLDFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get LDFLAGS)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS := -g -O2 -Wall $(DCPPFLAGS) $(DCFLAGS)
else
CFLAGS := -O2 -Wall $(DCPPFLAGS) $(DCFLAGS)
endif
STRIP = $(DEB_HOST_GNU_TYPE)-strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP = : strip
endif

build:
	$(MAKE) CC=$(CC) CFLAGS="$(CFLAGS) $(EXTRAFLAG) -DHAVE_STRSEP" LDFLAGS="$(CFLAGS) $(DLDFLAGS)"
	touch stamp-build

clean: debclean
	rm -f stamp-build
	$(MAKE) clean

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/tmp
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/tmp/DEBIAN
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	$(installbin) -d debian/tmp/usr/share/doc/$(package)
	$(installdoc) debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	$(installdoc) debian/copyright debian/tmp/usr/share/doc/$(package)/copyright
	#
	gzip -9nf debian/tmp/usr/share/doc/$(package)/changelog.Debian
	#
	$(installbin) -d debian/tmp/usr/sbin
	$(STRIP) --remove-section=.comment --remove-section=.note dhcpdump
	$(installbin) dhcpdump debian/tmp/usr/sbin
	#
	$(installbin) -d debian/tmp/usr/share/man/man8
	$(installdoc) dhcpdump.8 debian/tmp/usr/share/man/man8
	gzip -9n debian/tmp/usr/share/man/man?/*
	#
	dpkg-shlibdeps debian/tmp/usr/sbin/dhcpdump
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dsc:
	-test -d debian/tmp && $(MAKE) -f debian/rules clean
	if [ ! -f ../$(source)_$(version).orig.tar.gz -a -f ../orig/$(source)_$(version).orig.tar.gz ]; \
	then \
	  ln -s orig/$(source)_$(version).orig.tar.gz ../$(source)_$(version).orig.tar.gz; \
	  touch /tmp/stamp-$(source)-link; \
	fi; \
	cd .. && dpkg-source -b $(source)-$(version)
	if [ -f /tmp/stamp-$(source)-link ]; then \
	  rm ../$(source)_$(version).orig.tar.gz /tmp/stamp-$(source)-link; \
	fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist: binary dsc

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean checkroot

## dhcpdump 1.9

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,16 @@
-CFLAGS=	 -Wall -g
-LDFLAGS= -g
-LIBS=	-lpcap
+CFLAGS+=${CPPFLAGS}
+CFLAGS+=-Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g -O3 -fPIE
+LDFLAGS+=-g -Wl,-z,relro -Wl,-z,now -fPIE -pie
+LIBS+=-lpcap
 
 all: dhcpdump dhcpdump.8
 
 clean:
-	-rm dhcpdump.o dhcpdump dhcpdump.8
+	-rm -f dhcpdump.o dhcpdump dhcpdump.8
+
+re:
+	${MAKE} clean
+	${MAKE} -j all
 
 dhcpdump.8: dhcpdump.pod Makefile
 	pod2man --section 8 \
@@ -19,3 +24,18 @@
 
 dhcpdump.o: dhcpdump.c dhcp_options.h Makefile
 	${CC} ${CFLAGS} -c -o $@ dhcpdump.c
+
+VER:=$(shell grep 'define VERSION' version.h|tr -d '\"'|awk '{print $$3}')
+mkotar:
+	${MAKE} clean
+	-dh_clean
+	tar \
+		--xform 's,^[.],dhcpdump-${VER},' \
+		--exclude ./.git \
+		--exclude ./.gitignore \
+		--exclude ./debian \
+		-Jcvf ../dhcpdump_${VER}.orig.tar.xz .
+	-rm -f ../dhcpdump_${VER}.orig.tar.xz.asc
+	gpg -a --detach-sign ../dhcpdump_${VER}.orig.tar.xz
+	cp -fa ../dhcpdump_${VER}.orig.tar.xz ../dhcpdump-${VER}.tar.xz
+	cp -fa ../dhcpdump_${VER}.orig.tar.xz.asc ../dhcpdump-${VER}.tar.xz.asc

=== debian/changelog ===
dhcpdump (1.9-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:37 +1100

dhcpdump (1.9-1build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:58:36 +0100

dhcpdump (1.9-1) unstable; urgency=medium

  * Change upstream to a maintained fork
  * Restore reverted packaging changes

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 19 Mar 2023 00:12:50 +0000

=== debian/control ===
Source: dhcpdump
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
 libpcap-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/bbonev/dhcpdump
Vcs-Browser: https://github.com/bbonev/dhcpdump
Vcs-Git: https://github.com/bbonev/dhcpdump.git

Package: dhcpdump
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Parse DHCP packets from a network interface
 This package provides a tool for visualization of DHCP packets
 on a network interface to analyze DHCP client requests and
 server responses.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_install:
	install -TDm 0755 dhcpdump debian/dhcpdump/usr/sbin/dhcpdump
	install -TDm 0644 dhcpdump.8 debian/dhcpdump/usr/share/man/man8/dhcpdump.8

=== debian/watch ===
version=4

opts="searchmode=plain, \
	pgpsigurlmangle=s/releases\/download\/v([0-9.]+)\/dhcpdump-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/dhcpdump-$1\.tar\.xz\.asc/" \
	https://api.github.com/repos/bbonev/dhcpdump/releases \
	https://github.com/bbonev/dhcpdump/releases/download/v\d[\.\d]*/dhcpdump-@ANY_VERSION@.tar.xz

## dhcpdump 1.10

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,11 @@
 CFLAGS+=-Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g -O3 -fPIE
 LDFLAGS+=-g -Wl,-z,relro -Wl,-z,now -fPIE -pie
 LIBS+=-lpcap
+
+ifeq ($(shell uname -s),Darwin)
+LDFLAGSTODROP:=-Wl,-z,relro -Wl,-z,now
+LDFLAGS:=$(filter-out $(LDFLAGSTODROP),$(LDFLAGS))
+endif
 
 all: dhcpdump dhcpdump.8
 
@@ -19,10 +24,10 @@
 		--center "User Contributed Software" \
 		dhcpdump.pod dhcpdump.8
 
-dhcpdump: dhcpdump.o
+dhcpdump: dhcpdump.o Makefile
 	${CC} ${LDFLAGS} -o $@ dhcpdump.o ${LIBS}
 
-dhcpdump.o: dhcpdump.c dhcp_options.h Makefile
+dhcpdump.o: dhcpdump.c dhcp_options.h version.h Makefile
 	${CC} ${CFLAGS} -c -o $@ dhcpdump.c
 
 VER:=$(shell grep 'define VERSION' version.h|tr -d '\"'|awk '{print $$3}')

=== debian/changelog ===
dhcpdump (1.10-1) unstable; urgency=medium

  * Fix copy-paste in d/copyright
  * Update upstream repo to dhcpdump-org
  * Remove Priority and R^3 from d/control
  * Bump standards to 4.7.3
  * Latest upstream 1.10
    - Use Correct Destination IP
  * Update d/watch to v5

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 19 Feb 2026 16:21:23 +0000

=== debian/control ===
Source: dhcpdump
Section: admin
Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
 libpcap-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/dhcpdump-org/dhcpdump
Vcs-Browser: https://github.com/dhcpdump-org/dhcpdump
Vcs-Git: https://github.com/dhcpdump-org/dhcpdump.git

Package: dhcpdump
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Parse DHCP packets from a network interface
 This package provides a tool for visualization of DHCP packets
 on a network interface to analyze DHCP client requests and
 server responses.

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/dhcpdump-org/dhcpdump/releases
Matching-Pattern: https://github.com/dhcpdump-org/dhcpdump/releases/download/v\d[\.\d]*/dhcpdump-@ANY_VERSION@.tar.xz
Pgpsigurlmangle: s/releases\/download\/v([0-9.]+)\/dhcpdump-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/dhcpdump-$1\.tar\.xz\.asc/
Searchmode: plain
